# norootforbuild

Name:           yup
Summary:        Yum Update Proxy for SLE 10 Maintenance
Version:        232
Release:        2.2
Group:          System/YaST
License:	GPL
Source0:        yup.sh
Source1:        yup.sysconfig
Source2:        yup.1.pod
Source3:        COPYING.GPL
Source4:        yup.permissions
Source5:        yup2zlm.sh
Source6:        yup2zlm.sysconfig
Source7:        Advanced_SLES10_Patching_0.2.pdf
Source8:        YUP-SLE10SP1-notes.pdf
Source9:        switch-enterprise-nu-mirror
BuildRequires:  perl
%if 0%{?suse_version}
PreReq:         %fillup_prereq
%endif
Requires:       curl
BuildRoot:      %{_tmppath}/%{name}-%{version}-build


%description
This packages allows to configure an update-mirror for Novell
maintenance packages for SUSE Linux Enterprise 10.

Please make sure, that the number of systems to serve with the mirrored
packages is in compliance with the number of subscriptions you are
allowed to exercise according to your contract with Novell.



%prep
%setup -T -c

%build
pod2man --center=" " --release="%{version}-%{release}" --date="$(date)" %{S:2} > yup.$$$$;
perl -p -e 's/.if n .na/.\\\".if n .na/;' yup.$$$$ > yup.1;
rm -f yup.$$$$

%install
if [ -n "$RPM_BUILD_ROOT" ] ; then
   [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
fi
mkdir -p	$RPM_BUILD_ROOT/usr/sbin		\
		$RPM_BUILD_ROOT/etc/permissions.d	\
		$RPM_BUILD_ROOT/usr/share/man/man1	\
		$RPM_BUILD_ROOT/var/adm/fillup-templates
install %{S:0}	$RPM_BUILD_ROOT/usr/sbin/yup
cp -a %{S:7} .
cp -a %{S:8} .
cp -a %{S:9} .
install %{S:5}	$RPM_BUILD_ROOT/usr/sbin/yup2zlm
install %{S:6}	$RPM_BUILD_ROOT/var/adm/fillup-templates/sysconfig.yup2zlm
install %{S:1}	$RPM_BUILD_ROOT/var/adm/fillup-templates/sysconfig.yup
install %{S:4}	$RPM_BUILD_ROOT/etc/permissions.d/yup
install -m 644 yup.1	$RPM_BUILD_ROOT/usr/share/man/man1/yup.1


gzip -9 	$RPM_BUILD_ROOT/usr/share/man/man1/yup.1
cp -a %{S:3} .
#
rpm -qa --queryformat='%%{name}/%%{version}/%%{release}/%%{arch}\n'| sort | bzip2 -9 > USEDFORBUILD.bz2
#

%files
%defattr(-,root,root)
%attr(700, root, root) /usr/sbin/yup
%attr(700, root, root) /usr/sbin/yup2zlm
%attr(600, root, root) /etc/permissions.d/yup
%attr(644, root, root) /usr/share/man/man1/yup.1.gz
/var/adm/fillup-templates/sysconfig.yup
%doc COPYING.GPL
%doc Advanced_SLES10_Patching_0.2.pdf YUP-SLE10SP1-notes.pdf switch-enterprise-nu-mirror
/var/adm/fillup-templates/sysconfig.yup2zlm
%doc USEDFORBUILD.bz2

%post
%{fillup_only -n yup}
%{fillup_only -n yup2zlm}
chmod go-r /etc/sysconfig/yup*

%clean
if [ -n "$RPM_BUILD_ROOT" ] ; then
   [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
fi

%changelog
* Thu Dec  6 2007 meissner@suse.de
- updated switch-enterprise-nu-mirror to 0.34 from Andreas #309861
- introduce YUP_SP_SUBCHANS as requested by Robert Zondervan
- minor, but powerful change by Robert Zondervan - thanks
- add ability to find duplicate file and hardlink to safe space
* Fri Sep  7 2007 meissner@suse.de
- updated switch-update-server (0.27) from Andreas,
  more bugfixes, other architectures.
- download to temporary files to avoid file corruption
  on aborted downloads.
* Tue Aug 28 2007 meissner@suse.de
- updated switch-update-server version from Andreas Taschner.
  Added SDK support, more debugging output.
* Mon Aug 27 2007 meissner@suse.de
- do not remove the SP1 catalog, it might be needed for
  later installations. #304851
* Tue Jul 10 2007 meissner@suse.de
- Also be able to handle OES2 once released.
- updated switch-enterprise-nu-mirror script with
  hopefully most bugs fixed and capable to migrate
  both SLES10 and SLED10 hosts.
* Tue Jul  3 2007 meissner@suse.de
- Added a switch-enterprise-nu-mirror script, to run at
  the remote machine for GA -> SP1 migration using YUP
  mirrored repositories.
  This is sample script only, please test careful before
  deploying.
* Mon Jun 25 2007 mge@novell.com
- add and package yup2zlm beta 0.4
* Fri Jun 22 2007 mge@novell.com
- do not package yup2zlm for now
* Thu Jun 21 2007 mge@novell.com
- better handling of metadata
- man-page enhancements
* Wed May 23 2007 mge@novell.com
- better permissions support
* Tue May 22 2007 mge@novell.com
- adopt for SLE 10 SP 1
- add yup2zlm by Jo de Baer
* Tue Feb 13 2007 rdassen@novell.com
- yup.1.pod: Fixed typo paramters -> parameters
* Mon Jan 15 2007 mge@suse.de
- apply small patch of Peter Surda - Thanks to him:
  * introduce "--time-cond $localfile" to curl-download
  * fix typo (YUP instead of correct YOU)
* Tue Dec  5 2006 mge@suse.de
- add /etc/permissions.d/yup
* Wed Nov 29 2006 mge@suse.de
- enable use of several configuration files below
  /etc/sysconfig/yup.d
  (following a proposal of Marcel Ritter)
* Thu Nov 16 2006 mge@suse.de
- verify bin and src rpms,
  thanks to Andreas Taschner for help
* Wed Nov  8 2006 mge@suse.de
- add downloading of src.rpms from you.novell.com
* Mon Oct 30 2006 mge@suse.de
- introduce YUP_SRCRPM variable and combine with
  patch/idea from Heiko Helmle posted on suse-sles-s
  Date: Mon, 30 Oct 2006 09:36:37 +0100
  Subject: New YUP version 47-0.6
* Tue Oct 24 2006 meissner@suse.de
- fixed the regular expressions for the sysconfig
  variable range. [:xdigit:]{32} -> ^[[:xdigit:]]{32}$
* Fri Oct 13 2006 rdassen@novell.com
- Reworked the manual page.
* Thu Oct 12 2006 rdassen@novell.com
- SLES9's bash does not support `+=' for adding to strings. Changed to good
  old foo="$foo bar" idiom.
* Wed Oct 11 2006 rdassen@novell.com
- Reworked error handling again.
- Keep using "set -e". The error handling philosophy used is one of exception
  handling: catch and handle "expected" errors, but error out immediately on
  unexpected errors.
- Do not exit immediately when a download of non-metadata (like an individual
  RPM or patch file) fails, but record the error and do a delayed error exit
  at the end (similar to tar's error handling).
- Replaced the
  command | while read line; do ... done
  idiom by
  command > tempfile
  {
  while read line; do ... done
  } < tempfile
  With the first idiom, the while loop runs as a separate process, which
  complicates keeping track of errors that have been caught. With the second
  idiom, the while loop runs in the same process so we can simply use a
  variable to track errors.
- Allocate and clean up a second temporary file for use with this idiom.
  Renamed variable name for the first temporary file for clarity.
- Track errors that are caught using a variable "errorlog".
* Tue Oct 10 2006 mge@suse.de
- add YUP_DEBUGINFO; possible fix for Bug #208545
- add YUP_SDK
* Tue Sep 26 2006 rdassen@novell.com
- Propagate exit values for non-simple commands to really exit at errors.
- Use "yup" in the name of temp files.
* Tue Sep 19 2006 mge@suse.de
- Add better error handling; patch by Ray Dassen
  Fixes Novell Bug #206660
* Fri Sep 15 2006 mge@suse.de
- add support for multiple architectures
- add support for different curl-path (YUP_CURL)
- add support for different keys for SLES, SLED and other products
  ( YUP_ID_SLED YUP_PASS_SLED YUP_ID_SLES YUP_PASS_SLES )
* Thu Aug 31 2006 meissner@suse.de
- fixed typo in script for older bash versions.
* Wed Aug 30 2006 meissner@suse.de
- Initial import of YUM REPO-MD mirror script for update.novell.com.
